﻿using System;
using System.ComponentModel.DataAnnotations;

namespace Sandworks.Silverlight.nTier.Services
{
    public class Task
    {
        [Key]
        public Guid Id { get; set; }
        public DateTime? AddedOn { get; set; }
        public string Owner { get; set; }
        public string Subject { get; set; }

        public Task()
        {
            this.Id = Guid.NewGuid();
        }

        public Task(string owner, string subject)
        {
            this.Id = Guid.NewGuid();
            this.Owner = owner;
            this.Subject = subject;
        }
    }
}
