﻿using System;
using System.Windows;
using System.Windows.Controls;
using Sandworks.Silverlight.nTier.Services;

namespace Sandworks.Silverlight.nTier.Client
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void OnGetAll(object sender, RoutedEventArgs e)
        {
            TasksDomainContext ctx = new TasksDomainContext(new Uri("http://presentationtier/riaservices/Tasks.svc"));
            ctx.Load(ctx.GetTasksQuery(), (op) => 
            { 
                gridTask.ItemsSource = op.Entities;             
            }, null);
        }

        private void OnNewTask(object sender, RoutedEventArgs e)
        {
            Task t = new Task();
            t.Owner = textOwner.Text;
            t.Subject = textSubject.Text;

            TasksDomainContext ctx = new TasksDomainContext(new Uri("http://presentationtier/riaservices/Tasks.svc"));
            ctx.Tasks.Add(t);
            ctx.SubmitChanges((cb) => { OnGetAll(sender, e); }, null);
        }
    }
}
